package edu.mermet.tp8.boite;

import java.awt.Container;
import java.awt.Dialog;

import javax.swing.BoxLayout;
import javax.swing.ButtonGroup;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;

public class BoiteConfig extends JDialog{
	private JRadioButton autoConv, affichConv, cachConv;
	private JRadioButton autoTexte, affichTexte, cachTexte;
	private JRadioButton autoDiapo, affichDiapo, cachDiapo;
	private JRadioButton autoBouton, affichBouton, cachBouton;
	
	public BoiteConfig(JFrame f) {
		super(f, "Configuration");
		init();
		setModalityType(Dialog.ModalityType.DOCUMENT_MODAL);
		this.setSize(500, 300);
	}
	
	public void init() {
		Container cont = this.getContentPane();
		BoxLayout box = new BoxLayout(cont, BoxLayout.Y_AXIS);
		JPanel panel = new JPanel();
		cont.setLayout(box);
		//panel.setLayout(box);
		JLabel conv = new JLabel("Conversion");
		ButtonGroup groupConv = new ButtonGroup();
		autoConv = new JRadioButton("auto");
		affichConv = new JRadioButton("afficher");
		cachConv = new JRadioButton("cacher");
		groupConv.add(autoBouton);
		groupConv.add(affichBouton);
		groupConv.add(cachBouton);
		
		panel.add(conv);
		panel.add(autoConv);
		panel.add(affichConv);
		panel.add(cachConv);
		
		JPanel textP = new JPanel();
		JLabel textL = new JLabel("text");
		textP.add(textL);
		
		cont.add(panel);
		cont.add(textP);
	}
}
